module Main where 

import Aula3F


main :: IO ()
main = do { input <- getContents 
          ; let linhas = lines input
                horas = map words linhas
                etapasErradas = [x | x <- horas, (length x) /= 4]
                viagem = [((read a,read b),(read c,read d)) 
                         | (a:b:c:d:_) <- horas]
            in if (not (null etapasErradas)) 
            then putStr "formato errado\n\n"
            else report viagem
          }

report :: Viagem -> IO ()
report v = do { ok <- reportViagemOk v
              ; if ok then 
                do { reportTempoEfectivo v
                   ; reportTempoEspera v
                   ; reportTempoTotal v
                   }
                else return ()
              }

reportViagemOk :: Viagem -> IO Bool
reportViagemOk v = putStr "Viagem OK nao implementado\n\n" >> return True
--               = if viagemOk v then (putStr "Viagem bem construida\n" >> return True)
--                               else (putStr "Viagem mal construida\n" >> return False)


reportTempoEfectivo :: Viagem -> IO ()
reportTempoEfectivo v = putStr "Tempo Efectivo nao implementado\n\n"
--                    = do { putStr "Tempo Efectivo de Viagem " 
--                         ; print (tempoEfectivo v)
--                         }

reportTempoEspera :: Viagem -> IO ()
reportTempoEspera v = putStr "Tempo Espera nao implementado\n\n"
--                    = do { putStr "Tempo Espera da Viagem " 
--                         ; print (tempoEspera v)
--                         }

reportTempoTotal :: Viagem -> IO ()
reportTempoTotal v = putStr "Tempo Total nao implementado\n\n"
--                    = do { putStr "Tempo Total de Viagem " 
--                         ; print (tempoTotal v)
--                         }
 
